//------------------------------------------------------------------------------

//------------------------------------------------------------------------------

// Splash Screen on LCD
void Ar2rSplash(void)
{
    //unsigned char *text="Ar2r";
    
    LCD_Cmd(LCD_CLEAR);                      // send command  to LCD (clear LCD)

    //LCD_Out(1,4,text);                       // print string a on LCD, 1st row, 4th column
    //text="by Ar2r";                          // assign text to string
    //LCD_Out(2,8,text);                       // print string a on LCD, 2nd row, 8th column
    LCD_Chr(1,4, 'A');                          // write ASCII digit at 1st row, 2nd column
    LCD_Chr_Cp('r');
    Lcd_Chr_Cp('2');
    Lcd_Chr_Cp('r');
    
    Delay_ms(1500);                          // Waits 2 sec. for splash screen to be shown :)
}
//------------------------------------------------------------------------------

// Converts sensor data byte to integer - (see factory specs of DS18B20 for data format)
signed short ConTemp(unsigned temp)
{
    int tt;
    unsigned short sign, frac;
    //float x=0;
    signed short x=0;

    if(temp>=2048)
    {
        sign=1;
        tt=(0xFFFF-temp)+1;
    }
    else
    {
        sign=0;
        tt=temp;
    }
    //frac=tt & 0xF;                          // Isolate (last 4 bits) fraction part from whole
    tt>>=4;                                 // Remove last 4 bits of fractional part
    x=tt;//+(frac*0.0625);
    if(sign==1) x*=(-1);
    return (x);
}
//------------------------------------------------------------------------------
